﻿;======================================================================
; Module/File:     Button_AsStockIcon.pb.pb
; Function:        Button: Make pure Icon with button-funtions - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug 10, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22
; Target OS:       Linux - Ubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

ImportC ""
	gtk_button_set_image(*button.GtkButton, *image.GtkWidget)
	gtk_button_set_image_position(*button.GtkButton, position)
	gtk_image_clear(*image.GtkWidget)
	;gtk_button_set_alignment(*button.GtkButton, xalign.f, yalign.f)
EndImport

#MainWin= 0

Enumeration
	#myButton1
	#myButton2
	#myButton3
EndEnumeration

Global.i gEvent, gQuit
Global *image1, *image2, *image3

Procedure GetStockIcons()
; ----- loading icons. for testing set your own image-adresses ...
; 	*image1= gtk_image_new_from_file_(@"/home/charly-xubuntu/Programming/PureBasic/purebasic/Source/Icons/Own/Back.png")
; 	*image2= gtk_image_new_from_file_(@"/home/charly-xubuntu/Programming/PureBasic/purebasic/Source/Icons/Own/Find.png")
; 	*image3= gtk_image_new_from_file_(@"/home/charly-xubuntu/Programming/PureBasic/purebasic/Source/Icons/Own/Previous.png")

; ----- use stock-images ...
	*image1= gtk_image_new_from_stock_(@"gtk-select-font", #GTK_ICON_SIZE_MENU);"gtk-select-font"
	*image2= gtk_image_new_from_stock_(@"gtk-bold", #GTK_ICON_SIZE_MENU)
	*image3= gtk_image_new_from_stock_(@"gtk-italic", #GTK_ICON_SIZE_MENU)
EndProcedure

Procedure AddIconToButton(Gadget, *Pic, Alignment)
	gtk_button_set_image(GadgetID(Gadget), *Pic)
	gtk_button_set_image_position(GadgetID(Gadget), Alignment)
EndProcedure

If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "Linux-Icon as Button")
	
	GetStockIcons()
	
	ButtonGadget(#myButton1, 5, 2, 28, 28, "")
	 AddIconToButton(#myButton1, *image1, #GTK_POS_LEFT)
	ButtonGadget(#myButton2, 35, 2, 28, 28, "", #PB_Button_Toggle)
	 AddIconToButton(#myButton2, *image2, #GTK_POS_LEFT)
	ButtonGadget(#myButton3, 65, 2, 28, 28, "", #PB_Button_Toggle)
	 AddIconToButton(#myButton3, *image3, #GTK_POS_LEFT)
	
	
	Repeat
		gEvent = WaitWindowEvent()
		If EventWindow()= #MainWin
			Select gEvent
				Case #PB_Event_CloseWindow
					gQuit= #True
			EndSelect
		EndIf
	Until gQuit
	
	; ----- free image-memory...
	gtk_image_clear(*image1)
	gtk_image_clear(*image2)
	gtk_image_clear(*image3)
EndIf

End
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 69
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/