﻿;======================================================================
; Module/File:     ComboBox_NoFocusOnClick.pb
; Function:        ComboBox: No focus on click - Linux
; Author:          Oma (Charly Bauer)
; Date:            Sep. 02, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22
; Target OS:       Linux - Ubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_combo_box_set_focus_on_click(*combo.GtkComboBox, focus_on_click)
EndImport

EnableExplicit

#MainWin= 0

Enumeration
	#myCB1
	#myButton2
EndEnumeration

Global.i gEvent, gQuit, I


If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "ComboBox-click without focus")
	ComboBoxGadget(#myCB1, 5, 5, 150, 30)
	AddGadgetItem(#myCB1, -1, "no focus on click")
	For I= 1 To 5
		AddGadgetItem(#myCB1, -1, "item #"+ Str(I))
  Next I
	ButtonGadget(#myButton2, 5, 40, 150, 30, "Click with focus")
	
	gtk_combo_box_set_focus_on_click(GadgetID(#myCB1), #False);              no focus
	gtk_button_set_focus_on_click_(GadgetID(#myButton2), #True);             focus on click
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit


End
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 16
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/