﻿;======================================================================
; Module/File:     Editor_InsertText@Cursorpos.pb - Linux
; Function:        EditorGadget: fügt Text als UTF-8 an der Cursorposition ein - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

; Object constants
#MainWin= 0
#Edt1    = 0
#BT1     = 1
#String1 = 2

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.l gEvent, gQuit
Global.s S= "Dies ist ein mehrzeiliger Text in dem das" + #LF$ + "Ein- und Auschalten der Cursordarstellung" + #LF$ + "innerhalb eines EditorGadgets per Toggle-" + #LF$ + 
            "Button gezeigt wird, da die Darstellung" + #LF$ + "eines Cursors innerhalb eines'read-only'-" + #LF$ + "Textes wenig Sinn macht!"


Procedure Editor_InsertTextAtCursorpos(Gadget, text.s)
	Protected *textbuffer.GtkTextBuffer= gtk_text_view_get_buffer_(GadgetID(Gadget))
	Protected *mem= AllocateMemory(Len(text) * 4 / SizeOf(Character) + 1)
	Protected *len= PokeS(*mem, Text, -1,  #PB_UTF8);        UTF-8 benötigt, wandeln
	gtk_text_buffer_insert_at_cursor_(*textbuffer, *mem, *len)
	FreeMemory(*mem)
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - insert text", #PB_Window_SystemMenu)
	ButtonGadget(#BT1, 5, 5, 100, 25, "Insert text")
	StringGadget(#String1, 110, 5, 150, 25, " >INSERTED TEXT< ")
	EditorGadget(#Edt1, 5, 35, #WinW-10, #WinH-40, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, S)
	
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD);  wortweiser Zeilenumbruch

	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #BT1
						Editor_InsertTextAtCursorpos(#Edt1, GetGadgetText(#String1))

				EndSelect

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 43
; FirstLine = 16
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/