﻿;======================================================================
; Module/File:     Editor_ParagraphSpaceAbove.pb - Linux
; Function:        EditorGadget: setzt Leerraum über Absätzen - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug 01, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

; Object constants
#MainWin= 0
#Txt1   = 0
#Bt1    = 1
#Edt1   = 2

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.l gEvent, gQuit
Global.s S1= "Dies ist ein mehrzeiliger Text in dem das Ein- und Auschalten der Cursordarstellung innerhalb eines EditorGadgets per Toggle-"
				 S1+ "Button gezeigt wird, da die Darstellung eines Cursors innerhalb eines'read-only'-Textes wenig Sinn macht!"
Global.s S2 = "Hier wird demonstriert, wie ein Leerraum über Absätzen gesetzt wird. Dazu müssen je Item ganze Absätze stehen!"
Global.s S3 = "Wird jede Zeile in ein eigenes Item gesetzt, wird der Zeilenabstand eingestellt!"


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget-Space above paragraphs", #PB_Window_SystemMenu)
	TextGadget(#Txt1, 5, 7, 140, 20, "Space above paragraphs: ", #PB_Text_Right)
	SpinGadget(#Bt1, 150, 3, 60, 25, 0, 15, #PB_Spin_Numeric)
	SetGadgetState(#Bt1, 2)
	EditorGadget(#Edt1, 5, 30, #WinW-10, #WinH-34)
	AddGadgetItem(#Edt1, -1, S1)
	AddGadgetItem(#Edt1, -1, S2)
	AddGadgetItem(#Edt1, -1, S3)
	
	SetActiveGadget(#Edt1)
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD);      wortweiser Zeilenumbruch
	gtk_text_view_set_pixels_above_lines_(GadgetID(#Edt1), 2);          2 Pixel über Absatz
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #Bt1
					gtk_text_view_set_pixels_above_lines_(GadgetID(#Edt1), GetGadgetState(#Bt1)); Leerraum über Absätzen setzen
					;gtk_text_view_get_pixels_above_lines_(GadgetID(#Edt1));                      Leerraum über Absätzen abfragen
				EndIf
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 40
; FirstLine = 22
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/