﻿;======================================================================
; Module/File:     Editor_WrapModeSet.pb - Linux
; Function:        EditorGadget: stellt den Modus für den Zeilenumbruch ein - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

; Object constants
#MainWin= 0
#Bt1    = 0
#CB1    = 1
#Edt1   = 2

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.l gEvent, gQuit
Global.s EditString1= "Dies ist ein mehrzeiliger editierbarer Text" +
                      "in dem das Umschalten des Zeilenumbruches" +
                      "innerhalb eines EditorGadgets per Combo-" +
                      "Box eingestellt und beim Tippen beobachtet" +
                      "werden kann."


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - WrapMode Set", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 5, 100, 25, "Overwrite On", #PB_Button_Toggle)
	ComboBoxGadget(#CB1, 110, 2, 185, 30)
	AddGadgetItem(#CB1, -1, "GTK_WRAP_NONE")
	AddGadgetItem(#CB1, -1, "GTK_WRAP_CHAR (Default)")
	AddGadgetItem(#CB1, -1, "GTK_WRAP_WORD")
	AddGadgetItem(#CB1, -1, "GTK_WRAP_WORD_CHAR")
	SetGadgetState(#CB1, 1)
	EditorGadget(#Edt1, 5, 35, #WinW-10, #WinH-40, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, EditString1)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #Bt1
						If GetGadgetState(#Bt1)
							gtk_text_view_set_overwrite_(GadgetID(#Edt1), #True)
						Else
							gtk_text_view_set_overwrite_(GadgetID(#Edt1), #False)
						EndIf
					Case #CB1
						Select GetGadgetState(#CB1)
							Case #GTK_WRAP_NONE
								gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_NONE)
							Case #GTK_WRAP_CHAR
								gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_CHAR)
							Case #GTK_WRAP_WORD
								gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD)
							Case #GTK_WRAP_WORD_CHAR
								gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD_CHAR)
						EndSelect
				EndSelect

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 42
; FirstLine = 11
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/