﻿;======================================================================
; Module/File:     LIG_Cell-GetRow&Column.pb - Linux
; Function:        LIG: Zellen (Reihe + Spalte & Adressen) abfragen per Doppelklick - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

;Window Variablen
#MainWin= 0
#LIG= 0

#WinX= 200
#WinY= 200
#WinW= 500
#WinH= 400

Global.l gEvent, gQuit
Global *gTPath, *gTColumn, *gColumnList
Global.s Message

;- some ListIconGadget-Functions ...

;-
;- Demo - Example ...

Procedure CreateWindow_Main()
	Protected.l I, O

	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "LIG: Get cell on doubleclick", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
		ListIconGadget(#LIG, 5, 5, 480, 380, "Spalte 1", 70, #PB_ListIcon_AlwaysShowSelection | #PB_ListIcon_GridLines | #PB_ListIcon_CheckBoxes)
		For O= 1 To 4
			AddGadgetColumn(#LIG, O, "Spalte "+Str(O+ 1), 70)
		Next O
		For I= 1 To 20
			AddGadgetItem(#LIG, -1, Str(I)+".1")
		Next I
		
		For O= 1 To 4
			For I= 0 To 19
				SetGadgetItemText(#LIG, I, Str(I+1)+"."+Str(O+1), O)
			Next I
		Next O
		
		For O= 3 To 4
			For I= 0 To 19
				SetGadgetItemText(#LIG, I, Str(20-I)+"."+Str(O+1), O)
			Next I
		Next O

	EndIf

EndProcedure

CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
		Case #PB_Event_Gadget
			Select EventType()
				Case #PB_EventType_LeftDoubleClick
					gtk_tree_view_get_cursor_(GadgetID(#LIG), @*gTPath, @*gTColumn);                         Adresse der Pfade von item & column an Cursor (Maus) - Position holen
					
					Message= "row (item)-path : " + Str(*gTPath) + #LF$
					Message+ "row (item)-index: " + Str(PeekL(gtk_tree_path_get_indices_(*gTPath))) + #LF$;  Item (Zeilen) - Index wird abgefragt
					
					Message+ "column -path    : " + Str(*gTColumn) + #LF$
					*gColumnList = gtk_tree_view_get_columns_(GadgetID(#LIG));                               Zeiger auf Spaltenliste abfragen
					Message+ "column-index    : " + Str(g_list_index_(*gColumnList, *gTColumn));             Spalten-Index wird abgefragt
					MessageRequester("TreeView-Data", Message)
					
					g_list_free_(*gColumnList);                                                              Spaltenliste freigeben
					gtk_tree_path_free_(*gTPath);                                                            Pfad freigeben
			EndSelect
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 35
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/