﻿;======================================================================
; Module/File:     LV_GridLinesSet.pb - Linux
; Function:        LVG: Setzt GridLines - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 08, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

ImportC ""
	;gtk_tree_view_set_enable_tree_lines(*tree_view.GtkTreeView, enabled.i)
	gtk_tree_view_set_grid_lines(*tree_view.GtkTreeView, enabled.i)
EndImport

; Object constants
#MainWin= 0
#LV= 0

#WinX= 200
#WinY= 200
#WinW= 300
#WinH= 400

Global.l gEvent, gQuit


;- Functions ...

;- Example ...
Procedure CreateWindow_Main()
	Protected.l I, O
	Protected *Column

	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "ListView with gridlines", #PB_Window_SystemMenu | #PB_Window_WindowCentered)
		ListViewGadget(#LV, 5, 5, 290, 390)
		For I= 1 To 40
			AddGadgetItem(#LV, -1, Str(I)+".1")
		Next I
	EndIf
	
	;gtk_tree_view_set_enable_tree_lines(GadgetID(#LV), #True)
	gtk_tree_view_set_grid_lines(GadgetID(#LV), #True);   #False = GridLines off
EndProcedure

CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 37
; FirstLine = 21
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/