﻿;======================================================================
; Module/File:     OptionGadget_SetToToggleButton.pb
; Function:        OptionGadget: Changes to Standard ToggleButton with Radio-Function - Linux
; Author:          Oma (Charly Bauer)
; Date:            July 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22
; Target OS:       Linux - Ubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit


Enumeration
	#Window1
	#myButton1
	#myButton2
	#myButton3
EndEnumeration

Global.i gEvent, gQuit


If OpenWindow(#Window1, #PB_Ignore, #PB_Ignore, 250, 250, "Option-Button-Convert")
	OptionGadget(#myButton1, 5, 5, 150, 30, "   Button Relief Normal")
	OptionGadget(#myButton2, 5, 40, 150, 30, "   Button Relief half")
	OptionGadget(#myButton3, 5, 75, 150, 50, "   Button Relief none")
	
	gtk_toggle_button_set_mode_(GadgetID(#myButton1), #False)
	gtk_toggle_button_set_mode_(GadgetID(#myButton2), #False)
	gtk_toggle_button_set_mode_(GadgetID(#myButton3), #True)
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= #Window1
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit


End
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 8
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/