﻿;======================================================================
; Module/File:     Panel_SetTabOrderByValue.pb - Linux
; Function:        PanelGadget: Set tab by (code)-value - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 23, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

; Object constants
#MainWin= 0
#Text1  = 0
#SG1   = 1
#Panel1 = 2

#WinX=300
#WinY=200
#WinW=410
#WinH=310

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global   *widget.GtkWidget


If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "PanelGadget: set taborder by value", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 7, 150, 20, "Set 'Tab 0'-position: ")
	SpinGadget(#SG1, 125, 2, 100, 25, 0, 3, #PB_Spin_ReadOnly | #PB_Spin_Numeric)
	SetGadgetState(#SG1, 0)
	
	PanelGadget(#Panel1, 0, 30, 400, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab (Rider) "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	CloseGadgetList()
	
	*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), 0)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				If EventGadget()= #SG1
					gtk_notebook_reorder_child_(GadgetID(#Panel1), *widget, GetGadgetState(#SG1))
				EndIf
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 18
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/