﻿;======================================================================
; Module/File:     ProgressBar_AddText.pb - Linux
; Function:        ProgressBar - fügt Text hinzu - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 02, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty whatsoever
;                  Use at your own risk
;======================================================================

EnableExplicit

; object constants
#MainWin= 0
#PG1    = 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.l gEvent, gQuit, gCounter= 10

Procedure ProgressBarAction()
	If gCounter<= 100
		SetGadgetState(#PG1, gCounter)
		gCounter+ 5
	EndIf
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "progressbar w. text", #PB_Window_SystemMenu | #PB_Window_WindowCentered)
	ProgressBarGadget(#PG1, 5, 5, 180, 20, 0, 100)
	
	gtk_progress_bar_set_text_(GadgetID(#PG1), @"text per API")
	AddWindowTimer(#MainWin, 0, 250)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				ProgressBarAction()
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 32
; FirstLine = 13
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/