﻿;======================================================================
; Module/File:     ProgressBar_SetPulse.pb - Linux
; Function:        ProgressBar - setzt Pulse - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 02, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_progress_bar_set_pulse_step(*pbar.GtkProgressBar, fraction.d)
EndImport

EnableExplicit

; object constants
#MainWin= 0
#PG1    = 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.l gEvent, gQuit, gCounter= 10

Procedure ProgressBarAction()
	If gCounter<= 165
		gtk_progress_bar_pulse_(GadgetID(#PG1))
		gCounter+ 5
	EndIf
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "progressbar pulsing", #PB_Window_SystemMenu | #PB_Window_WindowCentered)
	ProgressBarGadget(#PG1, 5, 5, 180, 20, 0, 100)
	gtk_progress_bar_set_pulse_step(GadgetID(#PG1), 0.1)
	
	gtk_progress_bar_set_text_(GadgetID(#PG1), @"Pulse per API")
	
	AddWindowTimer(#MainWin, 0, 100)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				ProgressBarAction()
		EndSelect
		
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 35
; FirstLine = 4
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/