﻿;======================================================================
; Module/File:     EditField_CursorposSet&Get.pb - Linux
; Function:        StringGadget: holt Cursorposition - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 31, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

; Object constants
#MainWin= 0
#Text   = 0
#String = 1

#WinX=300
#WinY=200
#WinW=220
#WinH=200

Global.l gEvent, gQuit, gCounter

;- Functions ...
ProcedureC Edit_Changed(*widget, signal, user_data)
; 	Debug signal
; 	Debug user_data
EndProcedure


;- Example ...
Procedure TimerFuntion()
	Protected.i pos
	gtk_editable_set_position_(GadgetID(#String), gCounter);                        Cursorposition setzen
	pos= gtk_editable_get_position_(GadgetID(#String));                             Cursorposition holen
	SetGadgetText(#Text, "Cursorpos.: " + Str(pos))
	If gCounter= pos
		gCounter+ 1
	Else
		gCounter= 0
	EndIf

EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "StringGadget-Cursorpos", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text, 10, 5, 200, 20, "do nothing")
	StringGadget(#String, 10, 30, 100, 25, "1234567890")
	SetActiveGadget(#String)
	
	AddWindowTimer(#MainWin, 0, 500)
	g_signal_connect_data_(GadgetID(#String), "changed", @Edit_Changed(), 25, #Null, #Null)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Timer
				TimerFuntion()
				
		EndSelect
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 3
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/