﻿;======================================================================
; Module/File:     EditField_Functions.pb - Linux
; Function:        Demo für Manipulation des StringGadget (GtkEditable) - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 30, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

; Object constants
#MainWin= 0
#Text   = 0
#String = 1

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.l gEvent, gQuit, gCounter

;- Functions ...
ProcedureC Edit_Changed(*widget, signal, user_data)
; 	Debug signal
; 	Debug user_data
EndProcedure


;- Example ...
Procedure TimerFuntion()
	Protected Pos=5
	Select gCounter
		Case 0
			SetGadgetText(#Text, "select region")
			gtk_editable_select_region_(GadgetID(#String), 5, 8);                      Teilselektion
		Case 1
			SetGadgetText(#Text, "delete region")
			gtk_editable_delete_selection_(GadgetID(#String));                         Teilselektion löschen
		Case 2
			SetGadgetText(#Text, "get cursorpos. & insert text")
			Pos= gtk_editable_get_position_(GadgetID(#String));                        Cursorposition holen
			SetGadgetText(#Text, "get cursorpos. @" + Str(Pos) + " & insert text")
			gtk_editable_insert_text_(GadgetID(#String), "000", Len("000"), @Pos);     An Cursorpos Text einfügen
		Case 3
			SetGadgetText(#Text, "set cursorpos. 0")
			gtk_editable_set_position_(GadgetID(#String), 0);                          Cursorposition setzen
		Case 4
			SetGadgetText(#Text, "set cursorpos. END")
			gtk_editable_set_position_(GadgetID(#String), -1);                         Cursorposition ans Stringende
	EndSelect
	gCounter+ 1
EndProcedure

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "StringGadget-Demo", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text, 10, 5, 200, 20, "do nothing")
	StringGadget(#String, 10, 30, 100, 25, "1234567890")
	SetActiveGadget(#String)
	
	AddWindowTimer(#MainWin, 0, 2000)
	g_signal_connect_data_(GadgetID(#String), "changed", @Edit_Changed(), 25, #Null, #Null)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
				
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Timer
				TimerFuntion()
				
		EndSelect
	Until gQuit
EndIf

RemoveWindowTimer(#MainWin, 0)
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 8
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/