﻿;======================================================================
; Module/File:     TV_Expand&CollapseHover.pb - Linux
; Function:        TreeGadget: Knoten expandieren bei MouseOver - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 25, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


ImportC ""
	gtk_tree_view_set_hover_expand( *tree_view.GtkTreeView, gboolean)
EndImport

EnableExplicit


; Object constants
#MainWin= 0
#LG1= 0
#LG2= 1

#WinX= 200
#WinY= 200
#WinW= 500
#WinH= 330

Global.l gEvent, gQuit

Procedure CreateWindow_Main()
	Protected.l I, O
	Protected *Column
	#Img1= 0
	#Img2= 1
	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "expand on mouseover", #PB_Window_SystemMenu)
		TreeGadget(0, 10, 30, 230, 280);                                            TreeGadget Standard
		TreeGadget(1, 250, 30, 230, 280, #PB_Tree_CheckBoxes | #PB_Tree_NoLines);   TreeGadget mit Checkboxen + ohne Linien
		TextGadget(#PB_Any, 10, 5, 200, 20, "nodes opens/closes on mouseover ...")
		TextGadget(#PB_Any, 250, 5, 200, 20, "no reaction on mouseover ...")
		
		For I = 0 To 1
			For O = 0 To 10
				AddGadgetItem (I, -1, "Normal Item "+Str(O), 0, 0)
				AddGadgetItem (I, -1, "Node "+Str(O), 0, 0)
				AddGadgetItem(I, -1, "Sub-Item 1", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 2", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 3", 0, 1)
				AddGadgetItem(I, -1, "Sub-Item 4", 0, 1)
				AddGadgetItem (I, -1, "File "+Str(O), 0, 0)
			Next O
		Next I
		gtk_tree_view_set_hover_expand(GadgetID(0), #True)
		
	EndIf
EndProcedure

CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 39
; FirstLine = 30
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/