﻿; Oma (Charly Bauer), 07.07.2014
;======================================================================
; Module/Functions:ScrollSelectedEntryToTop(GadgetID) - Linux           Scrollt LIG + Explorer-Gadget an Top-Position
; Function:        siehe oben
; Author:          Oma (Charly Bauer)
; Date:            Juli 07, 2014
; Version:         Div.
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       All
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit
; 
; ImportC ""
;   gtk_tree_view_scroll_to_cell(*TreeView.GtkTreeView, *TreePath, *TreeColumn.GtkTreeViewColumn, UseAlign.I, RowAlign.F, ColumnAlign.F)
; EndImport

Procedure ScrollSelectedEntryToTop(Gadget)
  Protected *FocusColumn
  Protected *TreePath

  gtk_tree_view_get_cursor_(GadgetID(Gadget), @*TreePath, @*FocusColumn)
  gtk_tree_view_scroll_to_cell_(GadgetID(Gadget), *TreePath, 0, #True, 0, 0)
  gtk_tree_path_free_(*TreePath)
EndProcedure

OpenWindow(0, 1400, 100, 400, 600, "ExplorerTreeGadget - scroll to top", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
ExplorerTreeGadget(0, 10, 10, WindowWidth(0) - 20, WindowHeight(0) - 60, "")
ButtonGadget(1, 100, 560, 200, 25, "Display invisible entry at top")
SetGadgetText(0, #PB_Compiler_Home)

Repeat
  Select WaitWindowEvent()
    Case #PB_Event_CloseWindow
      Break
    Case #PB_Event_Gadget
      If EventGadget() = 1 And EventType() = #PB_EventType_LeftClick
        ScrollSelectedEntryToTop(0)
      EndIf
  EndSelect
ForEver
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 27
; FirstLine = 3
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/