﻿;======================================================================
; Module/File:     EditField_Align.pb- Linux
; Function:        Ausrichtung des StringGadget-Inhalts (GtkEntry) - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 27, 2014
; Version:         0.3
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       All
; License:         Free, unrestricted, no warranty
;======================================================================

; Alignment: 0.0 = Left, 0.5 = Center, 1.0 = Right

ImportC "";  Replacements for PureBasic-implementations with 'float'/'double'-bugs
	gtk_entry_set_alignment(*entry.GtkEntry, xalign.f)
EndImport

EnableExplicit


; Object constants
#MainWin= 0
#Strg1  = 0
#Strg2  = 1
#Strg3  = 2

#WinX= 300
#WinY= 200
#WinW= 200
#WinH= 200

Global.l gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "string alignment", #PB_Window_SystemMenu |#PB_Window_WindowCentered)
	StringGadget(#Strg1, 5, 5, 150, 25, "RightAlign")
	StringGadget(#Strg2, 5, 35, 150, 25, "CenterAlign")
	StringGadget(#Strg3, 5, 65, 150, 25, "LeftAlign")
	
	;gtk_entry_set_alignment_(GadgetID(#Strg), 1.0)          PureBasic-Bug with 'float'-parameter
	gtk_entry_set_alignment(GadgetID(#Strg1), 1.0);          Ok
	gtk_entry_set_alignment(GadgetID(#Strg2), 0.5)
	gtk_entry_set_alignment(GadgetID(#Strg3), 0.0)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 34
; FirstLine = 9
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/