﻿;======================================================================
; Module/File:     Trackbar_AddValueDisplayWithPos.pb - Linux
; Function:        Trackbar: Fügt Wertanzeige mit Positionsbestimmung hinzu - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 26, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

; #GTK_POS_LEFT
; #GTK_POS_RIGHT
; #GTK_POS_TOP
; #GTK_POS_BOTTOM


; Window Variablen
#MainWin= 0
#TB1    = 0

#WinX=300
#WinY=200
#WinW=400
#WinH=100

Global.l gEvent, gQuit, gCounter	


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Trackbar w. value & pos", #PB_Window_SystemMenu)
	
	TrackBarGadget(#TB1, 5, 5, 300, 40, 1, 10, #PB_TrackBar_Ticks)
	
	gtk_scale_set_value_pos_(GadgetID(#TB1), #GTK_POS_LEFT);  value-display - others positions: #GTK_POS_RIGHT, #GTK_POS_TOP, #GTK_POS_BOTTOM
	gtk_scale_set_draw_value_(GadgetID(#TB1), #True);         add value-display

	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 12
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/