﻿;======================================================================
; Module/File:     Window_BackgroundImage.pb - Linux
; Function:        Window: setzt Fenster-Hintergrund-Bild -Linux
; Author:          by Shardik
; Date:            Juli 29, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty whatsoever
;                  Use at your own risk
;======================================================================

EnableExplicit

; Object constants
#MainWin= 0

#WinX=300
#WinY=200
#WinW=300
#WinH=300

Global.l gEvent, gQuit

Procedure SetWindowBackgroundImage(*window, *image)
	Protected *backgrnd
	Protected *fixed.GtkFixed
	Protected *style.GtkStyle
	
	gdk_pixbuf_render_pixmap_and_mask_(*image, @*backgrnd, 0, 0)
	*style              = gtk_style_new_()
	*style\bg_pixmap[0] = *backgrnd
	*fixed              = g_list_nth_data_(gtk_container_get_children_(gtk_bin_get_child_(*window)), 0)
	gtk_widget_set_style_(*fixed, *style)
EndProcedure

If LoadImage(0, #PB_Compiler_Home + "examples/sources/Data/Background.bmp") = #False
;If LoadImage(0, #PB_Compiler_Home + "Source/Icons/WinPattern2.bmp") = #False
	Debug "Error loading background image"
Else
	OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Window with background image", #PB_Window_SizeGadget)
	
	SetWindowBackgroundImage(WindowID(0), ImageID(0))
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 11
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/